Bug 1266666 - [abrt] upower: start_poll_cb(): upowerd killed by SIGABRT
[abrt] upower: start_poll_cb(): upowerd killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a7a874f00bc56abbbd5e9f93061...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 06:01 EDT by Onuralp SEZER
Modified: 2016-12-20 09:45 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:45:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.41 KB, text/plain)
2015-09-26 06:01 EDT, Onuralp SEZER
no flags Details
File: cgroup (192 bytes, text/plain)
2015-09-26 06:01 EDT, Onuralp SEZER
no flags Details
File: core_backtrace (3.65 KB, text/plain)
2015-09-26 06:01 EDT, Onuralp SEZER
no flags Details
File: dso_list (3.78 KB, text/plain)
2015-09-26 06:01 EDT, Onuralp SEZER
no flags Details
File: environ (72 bytes, text/plain)
2015-09-26 06:01 EDT, Onuralp SEZER
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-26 06:01 EDT, Onuralp SEZER
no flags Details
File: maps (18.50 KB, text/plain)
2015-09-26 06:01 EDT, Onuralp SEZER
no flags Details
File: mountinfo (3.54 KB, text/plain)
2015-09-26 06:01 EDT, Onuralp SEZER
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-26 06:01 EDT, Onuralp SEZER
no flags Details
File: open_fds (663 bytes, text/plain)
2015-09-26 06:01 EDT, Onuralp SEZER
no flags Details
File: proc_pid_status (978 bytes, text/plain)
2015-09-26 06:01 EDT, Onuralp SEZER
no flags Details
File: var_log_messages (13.33 KB, text/plain)
2015-09-26 06:01 EDT, Onuralp SEZER
no flags Details

  None (edit)
Description Onuralp SEZER 2015-09-26 06:01:01 EDT
Version-Release number of selected component:
upower-0.99.3-2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/upowerd
crash_function: start_poll_cb
executable:     /usr/libexec/upowerd
global_pid:     21680
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (1 frames)
 #7 start_poll_cb at up-device-idevice.c:114

Potential duplicate: bug 1231810
Comment 1 Onuralp SEZER 2015-09-26 06:01:06 EDT
Created attachment 1077366 [details]
File: backtrace
Comment 2 Onuralp SEZER 2015-09-26 06:01:07 EDT
Created attachment 1077367 [details]
File: cgroup
Comment 3 Onuralp SEZER 2015-09-26 06:01:09 EDT
Created attachment 1077368 [details]
File: core_backtrace
Comment 4 Onuralp SEZER 2015-09-26 06:01:11 EDT
Created attachment 1077369 [details]
File: dso_list
Comment 5 Onuralp SEZER 2015-09-26 06:01:12 EDT
Created attachment 1077370 [details]
File: environ
Comment 6 Onuralp SEZER 2015-09-26 06:01:14 EDT
Created attachment 1077371 [details]
File: limits
Comment 7 Onuralp SEZER 2015-09-26 06:01:16 EDT
Created attachment 1077372 [details]
File: maps
Comment 8 Onuralp SEZER 2015-09-26 06:01:21 EDT
Created attachment 1077373 [details]
File: mountinfo
Comment 9 Onuralp SEZER 2015-09-26 06:01:22 EDT
Created attachment 1077374 [details]
File: namespaces
Comment 10 Onuralp SEZER 2015-09-26 06:01:24 EDT
Created attachment 1077375 [details]
File: open_fds
Comment 11 Onuralp SEZER 2015-09-26 06:01:26 EDT
Created attachment 1077376 [details]
File: proc_pid_status
Comment 12 Onuralp SEZER 2015-09-26 06:01:28 EDT
Created attachment 1077377 [details]
File: var_log_messages
Comment 13 tuksgig 2015-12-01 14:26:47 EST
Another user experienced a similar problem:

I plugged in my iPhone 4 into the PC USB port

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/upowerd
crash_function: start_poll_cb
executable:     /usr/libexec/upowerd
global_pid:     4435
kernel:         4.2.6-301.fc23.x86_64
package:        upower-0.99.3-2.fc23
reason:         upowerd killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0
Comment 14 Mathias Panzenböck 2016-01-24 09:31:47 EST
Another user experienced a similar problem:

No idea what happened. Things in Fedora 23 just crash out of the blue all the time. The same hardware worked fine under Fedora 20.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/upowerd
crash_function: start_poll_cb
executable:     /usr/libexec/upowerd
global_pid:     1444
kernel:         4.3.3-301.fc23.x86_64
package:        upower-0.99.3-2.fc23
reason:         upowerd killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0
Comment 15 pi 2016-02-12 01:09:12 EST
I had the same problem.  I think it happened when I plugged an iPhone 4 in via USB cable.  upowerd repeatedly crashes, gets restarted, crashes again, ad infinitum.

The backtrace shows start_poll_cb() in upowerd calling lockdownd_client_new_with_handshake() in /usr/lib64/libimobiledevice.so.6.0.0.

I also see the following in /var/log/messages:

upowerd[26954]: *** Error in `/usr/libexec/upowerd': double free or corruption (fasttop): 0x0000561f9d9f62d0 ***
Comment 16 Fedora End Of Life 2016-11-24 07:36:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 09:45:48 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.